using FalcoEngine;
using System;
using System.Collections;
using System.Collections.Generic;

public class GameStatus : MonoBehaviour
{
	public Text scoreText;
	public Text statusText;

	public float score = 0;
	public string gameStatus = "Starting";

	void Start()
	{
		
	}

    void RestartLevel()
    {
        SceneManager.LoadScene("main.scene");
    }

    void StartingStatus()
	{
		statusText.text = "Press to start\r\n\r\nW - Jump\r\nA, D - Balance";

        if (Input.GetMouseButtonDown(0))
			gameStatus = "Playing";
	}

    void PlayingStatus()
    {
        score += 10 * Time.deltaTime;
        scoreText.text = "Score: " + Math.Round(score);

        statusText.text = "";
    }

    void FailedStatus()
    {
        statusText.text = "Press to restart";
        if (Input.GetMouseButtonDown(0))
			RestartLevel();
    }

    void Update()
	{
		if (Input.GetKeyDown(ScanCode.Escape))
		{
			Application.Quit();
		}

		switch (gameStatus)
		{
			case "Starting":
				{
					StartingStatus();
                    break;
				}
			case "Playing":
				{
					PlayingStatus();
                    break;
				}
			case "Failed":
				{
					FailedStatus();
					break;
				}
		}
	}
}
